﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // get the parent menu item
            RadMenuItem colorsItem = RadContextMenu1.Items.FindItemByText("Colors");
            // iterate the color picker color presets
            foreach (ColorPreset preset in Enum.GetValues(typeof(ColorPreset)))
            {
                // add color preset names as child items
                colorsItem.Items.Add(new RadMenuItem(preset.ToString()));
            }
        }
    }
    protected void RadContextMenu1_ItemClick(object sender, Telerik.Web.UI.RadMenuEventArgs e)
    {
        // look only at child items
        if (e.Item.Level == 1)
        {
            // find child items under "Colors" parent item
            if ((e.Item.Parent as RadMenuItem).Text.Equals("Colors"))
            {
                // set the color picker preset to the selected preset
                RadColorPicker1.Preset = (ColorPreset)Enum.Parse(typeof(ColorPreset),
                e.Item.Text);
            }
        }
    }
}
